@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  epic startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

@rem Add default JVM options here. You can also use JAVA_OPTS and EPIC_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windowz variants

if not "%OS%" == "Windows_NT" goto win9xME_args
if "%@eval[2+2]" == "4" goto 4NT_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*
goto execute

:4NT_args
@rem Get arguments from the 4NT Shell from JP Software
set CMD_LINE_ARGS=%$

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\conf;%APP_HOME%\lib\com.xmatters.epic.client.jar;%APP_HOME%\lib\slf4j-log4j12-1.6.6.jar;%APP_HOME%\lib\jcl-over-slf4j-1.6.6.jar;%APP_HOME%\lib\log4j-1.2.17.jar;%APP_HOME%\lib\common-5.5.124.jar;%APP_HOME%\lib\resteasy-jaxrs-3.0.9.Final.jar;%APP_HOME%\lib\httpclient-4.3.3.jar;%APP_HOME%\lib\apache-mime4j-0.6.jar;%APP_HOME%\lib\ojdbc6-11.2.0.2.0.jar;%APP_HOME%\lib\orai18n-11.2.0.2.0.jar;%APP_HOME%\lib\slf4j-api-1.6.6.jar;%APP_HOME%\lib\foundation-5.5.124.jar;%APP_HOME%\lib\spring-jdbc-4.0.5.RELEASE.jar;%APP_HOME%\lib\gson-2.2.2.jar;%APP_HOME%\lib\jtds-1.2.jar;%APP_HOME%\lib\postgresql-9.2-1002.jdbc4.jar;%APP_HOME%\lib\jaxrs-api-3.0.9.Final.jar;%APP_HOME%\lib\jboss-annotations-api_1.1_spec-1.0.1.Final.jar;%APP_HOME%\lib\activation-1.1.jar;%APP_HOME%\lib\commons-io-2.1.jar;%APP_HOME%\lib\jcip-annotations-1.0.jar;%APP_HOME%\lib\jsr305-3.0.0.jar;%APP_HOME%\lib\hibernate-jpa-2.1-api-1.0.0.Final.jar;%APP_HOME%\lib\jdom-1.1.jar;%APP_HOME%\lib\commons-lang3-3.1.jar;%APP_HOME%\lib\commons-collections-3.2.2.jar;%APP_HOME%\lib\commons-lang-2.5.jar;%APP_HOME%\lib\apache-log4j-extras-1.1.jar;%APP_HOME%\lib\xstream-hibernate-1.4.3.jar;%APP_HOME%\lib\commons-codec-1.6.jar;%APP_HOME%\lib\dom4j-1.6.jar;%APP_HOME%\lib\javassist-3.18.2-GA.jar;%APP_HOME%\lib\spring-security-config-3.2.4.RELEASE.jar;%APP_HOME%\lib\spring-security-web-3.2.4.RELEASE.jar;%APP_HOME%\lib\antlr-2.7.7.jar;%APP_HOME%\lib\aopalliance-1.0.jar;%APP_HOME%\lib\commons-attributes-api-2.2.jar;%APP_HOME%\lib\commons-attributes-compiler-2.2.jar;%APP_HOME%\lib\xm-commons-beanutils-1.9.2.jar;%APP_HOME%\lib\commons-cli-1.2.jar;%APP_HOME%\lib\commons-dbcp-1.2.2.jar;%APP_HOME%\lib\commons-digester-1.8.jar;%APP_HOME%\lib\commons-discovery-0.4.jar;%APP_HOME%\lib\commons-fileupload-1.2.jar;%APP_HOME%\lib\commons-pool-1.6.jar;%APP_HOME%\lib\commons-validator-1.4.1.jar;%APP_HOME%\lib\jta-1.1.jar;%APP_HOME%\lib\validation-api-1.0.0.GA.jar;%APP_HOME%\lib\jaxen-1.1.1.jar;%APP_HOME%\lib\xmlpull-1.1.3.1.jar;%APP_HOME%\lib\xpp3-1.1.4c.jar;%APP_HOME%\lib\spring-beans-4.0.5.RELEASE.jar;%APP_HOME%\lib\spring-core-4.0.5.RELEASE.jar;%APP_HOME%\lib\spring-tx-4.0.5.RELEASE.jar;%APP_HOME%\lib\spring-security-core-3.2.4.RELEASE.jar;%APP_HOME%\lib\httpcore-4.3.2.jar;%APP_HOME%\lib\commons-logging-1.1.3.jar

@rem Execute epic
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %EPIC_OPTS%  -classpath "%CLASSPATH%" com.xmatters.epic.client.Main %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable EPIC_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%EPIC_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
