SELECT RECIPIENT_G.ORG_ID||'|'||GRP_TF.GRP_TF_ID              AS "EXTERNAL_KEY",
       RECIPIENT_G.ORG_ID||'|'||RECIPIENT_G.RECIPIENT_ID      AS "OWNING_GROUP_KEY",
       GRP_TF.NAME                                            AS "COVERAGE_NAME",
       TO_CHAR(DATE_RNG.START_DATE, 'yyyy/mm/dd')             AS "START_DATE",
       TO_CHAR(DATE_RNG.START_DATE, 'HH24:MI')                AS "START_TIME",
       case
         when EXTRACT(DAY FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND) > 0 and
              EXTRACT(HOUR FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND) > 9 and
              EXTRACT(MINUTE FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND) > 9 then
           EXTRACT(HOUR FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND) + (EXTRACT(DAY FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND) * 24)||':'||
           EXTRACT(MINUTE FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND)     
         when EXTRACT(DAY FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND) > 0 and
              EXTRACT(HOUR FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND) < 10 and
              EXTRACT(MINUTE FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND) < 10 then
           EXTRACT(HOUR FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND) + (EXTRACT(DAY FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND) * 24) ||':'||
           '0'||EXTRACT(MINUTE FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND)     
         when EXTRACT(DAY FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND) > 0 and
              EXTRACT(HOUR FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND) > 9 and
              EXTRACT(MINUTE FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND) < 10 then
            EXTRACT(HOUR FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND) + (EXTRACT(DAY FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND) * 24) ||':'||
           '0'||EXTRACT(MINUTE FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND)     
         when EXTRACT(DAY FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND) > 0 and
              EXTRACT(HOUR FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND) < 10 and
              EXTRACT(MINUTE FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND) > 9 then
           EXTRACT(HOUR FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND) + (EXTRACT(DAY FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND) * 24) ||':'||
           EXTRACT(MINUTE FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND)
                                                                                           
         when EXTRACT(HOUR FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND) > 9 and
              EXTRACT(MINUTE FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND) > 9 then
           EXTRACT(HOUR FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND)||':'||
           EXTRACT(MINUTE FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND)
         when EXTRACT(HOUR FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND) < 10 and
              EXTRACT(MINUTE FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND) < 10 then
           '0'||EXTRACT(HOUR FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND)||':'||
           '0'||EXTRACT(MINUTE FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND)
         when EXTRACT(HOUR FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND) > 9 and
              EXTRACT(MINUTE FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND) < 10 then
           EXTRACT(HOUR FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND)||':'||
           '0'||EXTRACT(MINUTE FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND)
         when EXTRACT(HOUR FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND) < 10 and
              EXTRACT(MINUTE FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND) > 9 then
           '0'||EXTRACT(HOUR FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND)||':'||
           EXTRACT(MINUTE FROM (DATE_RNG.END_DATE -DATE_RNG.START_DATE) DAY TO SECOND)
       end                                                    AS "DURATION",
       CASE
         WHEN RECIPIENT_T.ORG_ID is NULL THEN null
         ELSE RECIPIENT_T.ORG_ID||'|'||RECIPIENT_T.RECIPIENT_ID
       END
                                                              AS "WORKER_TEAM_KEY",
       'Y'                                                    AS "IS_EXTERNALLY_OWNED",
       'Y'                                                    AS "ALARMPOINT_ACTION",
       NULL                                                   AS "LAST_SYNC_DATE"
FROM GRP_TF LEFT OUTER JOIN TM ON GRP_TF.TM_ID = TM.TM_ID
            LEFT OUTER JOIN RECIPIENTS RECIPIENT_T ON RECIPIENT_T.RECIPIENT_ID = TM.TM_ID       
       INNER JOIN DRSS ON DRSS.DRS_ID = grp_tf.DRS_ID
       INNER JOIN DRS_INCLUDES ON DRS_INCLUDES.DRS_ID = DRSS.DRS_ID
       INNER JOIN DRNGSS ON DRNGSS.DRNGS_ID = DRS_INCLUDES.DATE_RULE_ID
       INNER JOIN DRNGS_RNG ON DRNGS_RNG.DRNGS_ID = DRNGSS.DRNGS_ID
       INNER JOIN DATE_RNG ON DATE_RNG.DATE_RNG_ID = DRNGS_RNG.DATE_RNG_ID,
       RECIPIENTS RECIPIENT_G
WHERE RECIPIENT_G.RECIPIENT_ID = GRP_TF.GRP_ID
   AND (GRP_TF.DELETED_ID = -1 or GRP_TF.DELETED_ID is null)
   -- REPLACE_WITH_ORG_FILTER
ORDER by tm.WHEN_UPDATED, GRP_TF.WHEN_UPDATED
