SELECT grp.org_id||'|'||GRP_TF.GRP_TF_ID                      AS "EXTERNAL_KEY",
       grp.org_id||'|'||grp.recipient_id                      AS "OWNING_GROUP_KEY",
       GRP_TF.NAME                                            AS "COVERAGE_NAME",
       TO_CHAR(DATE_RPT_PATTERNS.INIT_START, 'yyyy/mm/dd')    AS "START_DATE",
       TO_CHAR(DATE_RPT_PATTERNS.INIT_START, 'HH24:MI')       AS "START_TIME",
       case
         when EXTRACT(DAY FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START) DAY TO SECOND) > 0 then
           '24:00'
         when EXTRACT(HOUR FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START) DAY TO SECOND) > 9 and
              EXTRACT(MINUTE FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START) DAY TO SECOND) > 9 then
           EXTRACT(HOUR FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START) DAY TO SECOND)||':'||
           EXTRACT(MINUTE FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START) DAY TO SECOND)
         when EXTRACT(HOUR FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START) DAY TO SECOND) < 10 and
              EXTRACT(MINUTE FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START) DAY TO SECOND) < 10 then
           '0'||EXTRACT(HOUR FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START) DAY TO SECOND)||':'||
           '0'||EXTRACT(MINUTE FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START) DAY TO SECOND)
         when EXTRACT(HOUR FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START) DAY TO SECOND) > 9 and
              EXTRACT(MINUTE FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START) DAY TO SECOND) < 10 then
           EXTRACT(HOUR FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START) DAY TO SECOND)||':'||
           '0'||EXTRACT(MINUTE FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START) DAY TO SECOND)
         when EXTRACT(HOUR FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START) DAY TO SECOND) < 10 and
              EXTRACT(MINUTE FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START) DAY TO SECOND) > 9 then
           '0'||EXTRACT(HOUR FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START) DAY TO SECOND)||':'||
           EXTRACT(MINUTE FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START) DAY TO SECOND)
       end                                                     AS "DURATION",
       DATE_RPT_PATTERNS.IC_DAY_LIST                           AS "DAY_PATTERN",
       DATE_RPT_PATTERNS.FREQUENCY                             AS "FREQUENCY",
       TO_CHAR(DATE_RPT_PATTERNS.FREQ_INTERVAL)                AS "INTERVAL",
       DRSS.INC_SITE_HOLIDAYS                                  AS "INCLUDE_SITE_HOLIDAYS",
       TO_CHAR(DATE_RPT_PATTERNS.CONTINUE_UNTIL, 'yyyy/mm/dd') AS "RECURRENCE_END",
       CASE
         WHEN tm.org_id is NULL THEN NULL
         ELSE tm.ORG_ID||'|'||tm.RECIPIENT_ID
       END                                                     AS "WORKER_TEAM_KEY",
       'Y'                                                     AS "IS_EXTERNALLY_OWNED",
       'Y'                                                     AS "ALARMPOINT_ACTION",
       NULL                                                    AS "LAST_SYNC_DATE"
FROM DATE_RPT_PATTERNS
      INNER JOIN
     DATE_RULES ON DATE_RPT_PATTERNS.DATE_RPT_PATTERN_ID = DATE_RULES.DATE_RULE_ID,
     GRP_TF
      LEFT OUTER JOIN RECIPIENTS tm ON GRP_TF.TM_ID = tm.RECIPIENT_ID
      INNER JOIN
     DRSS DRSS ON GRP_TF.DRS_ID=DRSS.DRS_ID
      INNER JOIN
     DATE_RULES DRSS1_ ON DRSS.DRS_ID=DRSS1_.DATE_RULE_ID
      INNER JOIN
     DRS_INCLUDES inclusiver3_ ON DRSS.DRS_ID=inclusiver3_.DRS_ID
       INNER JOIN
     DATE_RULES dateruleim4_ ON inclusiver3_.DATE_RULE_ID =dateruleim4_.DATE_RULE_ID,
     RECIPIENTS grp
WHERE DATE_RPT_PATTERNS.DATE_RPT_PATTERN_ID = dateruleim4_.DATE_RULE_ID
  AND (GRP_TF.DELETED_ID         = -1 OR GRP_TF.DELETED_ID is null)
  AND GRP_TF.GRP_ID              = grp.RECIPIENT_ID
  -- REPLACE_WITH_ORG_FILTER
ORDER by tm.WHEN_UPDATED, GRP.WHEN_UPDATED, GRP_TF.WHEN_UPDATED
