SELECT RECIPIENTS.org_id||'|'||DVC_TF.DVC_TF_ID||'|'||DATE_RPT_PATTERNS.DATE_RPT_PATTERN_ID  
                                                         AS EXTERNAL_KEY,
       RECIPIENTS.org_id||'|'||DVC.DVC_ID                AS DT_OWNING_DEVICE_KEY,
       DVC.DVC_TYPE                                      AS DT_OWNING_DEVICE_TYPE,
       case
         when DATE_RULES.DESCRION is NULL then
           'Default TF'
         else DATE_RULES.DESCRION
       end                                               AS DT_NAME,
       TO_CHAR(DATE_RPT_PATTERNS.INIT_START, 'HH24:MI')  AS DT_START_TIME,
       case
         when EXTRACT(DAY FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START)) > 0 then
           '24:00'
         when EXTRACT(HOUR FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START)) > 9 and
              EXTRACT(MINUTE FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START)) > 9 then
           EXTRACT(HOUR FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START)) ||':'||
           EXTRACT(MINUTE FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START))
         when EXTRACT(HOUR FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START)) < 10 and
              EXTRACT(MINUTE FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START)) < 10 then
           '0'||EXTRACT(HOUR FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START)) ||':'||
           '0'||EXTRACT(MINUTE FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START))
         when EXTRACT(HOUR FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START)) > 9 and
              EXTRACT(MINUTE FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START)) < 10 then
           EXTRACT(HOUR FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START)) ||':'||
           '0'||EXTRACT(MINUTE FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START))
         when EXTRACT(HOUR FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START)) < 10 and
              EXTRACT(MINUTE FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START)) > 9 then
           '0'||EXTRACT(HOUR FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START)) ||':'||
           EXTRACT(MINUTE FROM (DATE_RPT_PATTERNS.INIT_END - DATE_RPT_PATTERNS.INIT_START))
       end                                               AS DT_DURATION,       
       DATE_RPT_PATTERNS.IC_DAY_LIST                                   AS DT_DAY_PATTERN,
       case
         when DATE_RULES.EXCLUDE_HOLIDAYS is NULL then 'N'
         else DATE_RULES.EXCLUDE_HOLIDAYS
       end                                               AS DT_EXCLUDE_HOLIDAYS,
       'Y'                                               AS ALARMPOINT_ACTION,
       NULL                                              AS LAST_SYNC_DATE,
       'Y'                                               AS IS_EXTERNALLY_OWNED,
       NULL                                              AS DT_OWNING_DEVICE_NAME,
       NULL                                              AS DT_OWNING_DEVICE_OWNER_UID
FROM RECIPIENTS, DVC_TF, DVC, DRSS, DRS_INCLUDES, DATE_RPT_PATTERNS, DATE_RULES
WHERE RECIPIENTS.RECIPIENT_ID               = DVC.DVC_ID
   AND DVC_TF.DVC_ID                         = DVC.DVC_ID
   AND DRSS.DRS_ID                           = DVC_TF.DRS_ID
   AND DRS_INCLUDES.DRS_ID                   = DRSS.DRS_ID
   AND DATE_RULES.DATE_RULE_ID = DRS_INCLUDES.DATE_RULE_ID
   AND DATE_RPT_PATTERNS.DATE_RPT_PATTERN_ID = DRS_INCLUDES.DATE_RULE_ID
   AND (RECIPIENTS.DELETED_ID = -1 or RECIPIENTS.DELETED_ID is NULL)
   AND (DVC.DELETED_ID = -1 or DVC.DELETED_ID is NULL)
   AND NOT EXISTS (
     SELECT *
     FROM PERSONS_FUNC, ROLE
     WHERE ROLE.ROLE_ID = PERSONS_FUNC.FUNC_ID
         AND PERSONS_FUNC.PERSON_ID = DVC.PERSON_ID
         AND ROLE.NAME IN ('Super Admin', 'Company Admin')
   )
   -- REPLACE_WITH_ORG_FILTER
ORDER by RECIPIENTS.WHEN_UPDATED, DVC.WHEN_UPDATED, DVC_TF.WHEN_UPDATED