SELECT RECIPIENTS.ORG_ID||'|'||RECIPIENTS.RECIPIENT_ID                     AS TEAM_KEY,
       CASE
         WHEN recipient_m.RECIPIENT_CAT = 'TEAM' THEN
           (SELECT recipient_m.ORG_ID||'|'||TM_M.TM_ID
              FROM TM tm_m
             WHERE tm_m.TM_ID = recipient_m.RECIPIENT_ID)
         ELSE recipient_m.ORG_ID||'|'||recipient_m.RECIPIENT_ID
       END                                                                 AS MEMBER_KEY,
       recipient_m.RECIPIENT_CAT                                           AS MEMBER_TYPE,
       CASE 
         WHEN recipient_m.RECIPIENT_CAT = 'DEVICE' THEN
           (SELECT DVC.DVC_TYPE
              FROM DVC
             WHERE DVC.DVC_ID = recipient_m.RECIPIENT_ID)
         ELSE NULL
       END                                                                 AS MEMBER_SUB_TYPE,
       TM_MBRSHIPS.MBR_SEQ_NUM::VARCHAR(38)                                AS MEMBER_SEQUENCE_NUMBER,
       'Y'                                                                 AS IS_EXTERNALLY_OWNED,
       'Y'                                                                 AS ALARMPOINT_ACTION,
       NULL                                                                AS LAST_SYNC_DATE
FROM TM, RECIPIENTS, TM_MBRSHIPS, RECIPIENTS recipient_m
WHERE RECIPIENTS.RECIPIENT_ID = TM.TM_ID
   AND TM.TM_ID = TM_MBRSHIPS.TM_ID
   AND recipient_m.RECIPIENT_ID = TM_MBRSHIPS.RECIPIENT_ID
   AND (recipient_m.DELETED_ID = -1 or recipient_m.DELETED_ID is NULL)
   AND (TM.DELETED_ID = -1 or TM.DELETED_ID is NULL)
   AND (RECIPIENTS.DELETED_ID = -1 or RECIPIENTS.DELETED_ID is NULL)
   AND NOT EXISTS (
     SELECT *
     FROM PERSONS_FUNC, ROLE
     WHERE ROLE.ROLE_ID = PERSONS_FUNC.FUNC_ID
         AND PERSONS_FUNC.PERSON_ID = TM_MBRSHIPS.RECIPIENT_ID
         AND ROLE.NAME IN ('Super Admin', 'Company Admin')
   )
   -- REPLACE_WITH_ORG_FILTER
ORDER by RECIPIENTS.WHEN_UPDATED, TM_MBRSHIPS.WHEN_UPDATED
