SELECT RECIPIENTS.ORG_ID||'|'||PERSON_CUST_VALUE_ID         AS EXTERNAL_KEY,
       RECIPIENTS.ORG_ID||'|'||RECIPIENTS.RECIPIENT_ID      AS CUSTOM_USER_KEY,
       CUST_FLDS.ORG_ID||'|'||CUST_FLDS.CUST_FLD_ID         AS FIELD_KEY,
       PERSON_CUST_VALUES.VALUE                             AS CUSTOM_VALUE,
       'N'                                                  AS IS_EXTERNALLY_OWNED,
       'Y'                                                  AS ALARMPOINT_ACTION,
       NULL                                                 AS LAST_SYNC_DATE
FROM PERSON_CUST_VALUES, RECIPIENTS, CUST_FLDS
WHERE (RECIPIENTS.DELETED_ID = -1 or RECIPIENTS.DELETED_ID is NULL)
   AND PERSON_CUST_VALUES.PERSON_ID = RECIPIENTS.RECIPIENT_ID
   AND PERSON_CUST_VALUES.CUST_FLD_ID = CUST_FLDS.CUST_FLD_ID
   AND NOT EXISTS (
     SELECT *
     FROM PERSONS_FUNC, ROLE
     WHERE ROLE.ROLE_ID = PERSONS_FUNC.FUNC_ID
         AND PERSONS_FUNC.PERSON_ID = PERSON_CUST_VALUES.PERSON_ID
         AND ROLE.NAME IN ('Super Admin', 'Company Admin')
   )
   -- REPLACE_WITH_ORG_FILTER
ORDER by PERSON_CUST_VALUES.WHEN_UPDATED
