SELECT CAST(RECIPIENT_G.ORG_ID AS VARCHAR)+'|'
       +CAST(GRP_TF.GRP_TF_ID AS VARCHAR)                     AS "EXTERNAL_KEY",
       CAST(RECIPIENT_G.ORG_ID AS VARCHAR)+'|'
       +CAST(RECIPIENT_G.RECIPIENT_ID AS VARCHAR)             AS "OWNING_GROUP_KEY",
       GRP_TF.NAME                                            AS "COVERAGE_NAME",
       CONVERT(VARCHAR, DATE_RNG.START_DATE, 111)             AS "START_DATE",
       LEFT(CONVERT(VARCHAR, DATE_RNG.START_DATE, 8),5)
                                                              AS "START_TIME",
       RIGHT('0'+CAST(DATEDIFF(MINUTE, DATE_RNG.START_DATE, DATE_RNG.END_DATE)/60 AS VARCHAR),2)
       +':'+RIGHT('0'+CAST(DATEDIFF(MINUTE, DATE_RNG.START_DATE, DATE_RNG.END_DATE)%60 AS VARCHAR),2)
                                                              AS "DURATION",
       CASE
         WHEN RECIPIENT_T.ORG_ID is NULL THEN null
         ELSE CAST(RECIPIENT_T.ORG_ID AS VARCHAR)+'|'
              +CAST(RECIPIENT_T.RECIPIENT_ID AS VARCHAR)
       END
                                                              AS "WORKER_TEAM_KEY",
       'Y'                                                    AS "IS_EXTERNALLY_OWNED",
       'Y'                                                    AS "ALARMPOINT_ACTION",
       NULL                                                   AS "LAST_SYNC_DATE"
FROM GRP_TF
       LEFT OUTER JOIN TM ON GRP_TF.TM_ID = TM.TM_ID
       LEFT OUTER JOIN RECIPIENTS RECIPIENT_T ON RECIPIENT_T.RECIPIENT_ID = TM.TM_ID
       INNER JOIN DRSS ON DRSS.DRS_ID = grp_tf.DRS_ID
       INNER JOIN DRS_INCLUDES ON DRS_INCLUDES.DRS_ID = DRSS.DRS_ID
       INNER JOIN DRNGSS ON DRNGSS.DRNGS_ID = DRS_INCLUDES.DATE_RULE_ID
       INNER JOIN DRNGS_RNG ON DRNGS_RNG.DRNGS_ID = DRNGSS.DRNGS_ID
       INNER JOIN DATE_RNG ON DATE_RNG.DATE_RNG_ID = DRNGS_RNG.DATE_RNG_ID,
       RECIPIENTS RECIPIENT_G
WHERE RECIPIENT_G.RECIPIENT_ID = GRP_TF.GRP_ID
   AND (GRP_TF.DELETED_ID = -1 or GRP_TF.DELETED_ID is null)
   -- REPLACE_WITH_ORG_FILTER
ORDER by tm.WHEN_UPDATED, GRP_TF.WHEN_UPDATED