SELECT
  CAST(child.org_id AS VARCHAR)+'|'+CAST(child.recipient_id AS VARCHAR)
                                                   AS "USER_EXTERNAL_KEY",
  (SELECT COALESCE(
  			LEFT("supervisors".SUPS, LEN("supervisors".SUPS)-1), 
		  	(SELECT CAST(r2.ORG_ID AS VARCHAR)+'|'+CAST(r2.RECIPIENT_ID AS VARCHAR)
		                    FROM
		                        RECIPIENTS r2
		                    WHERE
		                        LOWER(r2.target_name) = LOWER('%%_DEFAULT_SUPERVISOR_TARGET_NAME_%%')
		                        AND 1 = %%_ALLOW_DEFAULT_SUPERVISOR_%%
		                        and r2.deleted_id = -1
		                        and r2.org_id = CHILD.org_id
		                        AND NOT EXISTS (
		                          SELECT *
		                          FROM PERSONS_FUNC, ROLE
		                          WHERE ROLE.ROLE_ID = PERSONS_FUNC.FUNC_ID
		                              AND PERSONS_FUNC.PERSON_ID = r2.RECIPIENT_ID
		                              AND ROLE.NAME IN ('Super Admin', 'Company Admin')
		                        )
		                        AND EXISTS (SELECT *
		                          FROM PERSONS_FUNC, ROLE
		                          WHERE ROLE.ROLE_ID = PERSONS_FUNC.FUNC_ID
		                              AND PERSONS_FUNC.PERSON_ID = r2.RECIPIENT_ID
		                              AND ROLE.NAME = 'Person Supervisor')
		                )  
     ) "SUPS"
     FROM
      (SELECT
        (SELECT (CAST(parent.ORG_ID AS VARCHAR)
                 +'|'+CAST(parent.RECIPIENT_ID AS VARCHAR)+ ',')
           FROM PERSON_SUPS st1, RECIPIENTS "parent"
          WHERE st1.PERSON_ID=PERSON_SUPS.PERSON_ID
             AND st1.SUP_ID=parent.RECIPIENT_ID
             AND NOT EXISTS (
               SELECT *
               FROM PERSONS_FUNC, ROLE
               WHERE ROLE.ROLE_ID = PERSONS_FUNC.FUNC_ID
                   AND (PERSONS_FUNC.PERSON_ID = PARENT.RECIPIENT_ID OR PERSONS_FUNC.PERSON_ID = CHILD.RECIPIENT_ID)
                   AND ROLE.NAME IN ('Super Admin', 'Company Admin')
               )
         ORDER BY parent.recipient_id
         FOR XML PATH ('')) "SUPS") "supervisors") AS "PERSON_SUPERVISOR_LIST",
  'Y'                                              AS "IS_EXTERNALLY_OWNED",
  'Y'                                              AS "ALARMPOINT_ACTION",
  NULL                                             AS "LAST_SYNC_DATE"
  FROM RECIPIENTS "child" LEFT JOIN PERSON_SUPS
  ON child.RECIPIENT_ID=PERSON_SUPS.PERSON_ID
 WHERE 
 	child.recipient_cat = 'PERSON'
 	AND child.deleted_id = -1
    AND NOT EXISTS (
               SELECT *
               FROM PERSONS_FUNC, ROLE
               WHERE ROLE.ROLE_ID = PERSONS_FUNC.FUNC_ID
                   AND PERSONS_FUNC.PERSON_ID = CHILD.RECIPIENT_ID
                   AND ROLE.NAME IN ('Super Admin', 'Company Admin')
               )
     -- REPLACE_WITH_ORG_FILTER
GROUP BY PERSON_SUPS.PERSON_ID, child.ORG_ID, child.RECIPIENT_ID

