SELECT CAST(SITES.org_id AS VARCHAR)+'|'+CAST(SITES.SITE_ID AS VARCHAR)
                                          AS "EXTERNAL_KEY",
       SITES.NAME                         AS "SITENAME",
       SITES.STATUS                       AS "SITE_STATUS",
       LANGUAGES.NAME                     AS "SITE_LANGUAGE",
       TZ.NAME                            AS "SITE_TIMEZONE",
       LINE_ONE                           AS "SITE_ADDRESS_01",
       LINE_TWO                           AS "SITE_ADDRESS_02",
       CITY_NAME                          AS "SITE_CITY",
       COUNTRIES.NAME                     AS "SITE_COUNTRY",
       REGION_NAME                        AS "SITE_REGION_NAME",
       MAIL_CODE                          AS "SITE_MAIL_CODE",
       ''                                 AS "SITE_CLUSTER_01",
       'Y'                                AS "IS_EXTERNALLY_OWNED",
       'Y'                                AS "ALARMPOINT_ACTION",
       NULL                               AS "LAST_SYNC_DATE"
  FROM SITES
         INNER JOIN ORG_LANGUAGES ON SITES.ORG_LANGUAGE_ID = ORG_LANGUAGES.ORG_LANGUAGE_ID
         INNER JOIN LANGUAGES ON ORG_LANGUAGES.LANGUAGE_ID = LANGUAGES.LANGUAGE_ID
         INNER JOIN ORG_TZ ON SITES.ORG_TZ_ID = ORG_TZ.ORG_TZ_ID
         INNER JOIN TZ ON TZ.TZ_ID = ORG_TZ.TZ_ID,
       ADDRESSES
         INNER JOIN COUNTRIES ON ADDRESSES.COUNTRY_ID=COUNTRIES.COUNTRY_ID
 WHERE SITES.ADDRESS_ID=ADDRESSES.ADDRESS_ID
   AND SITES.ORG_ID <> 2
   -- REPLACE_WITH_ORG_FILTER
ORDER by SITES.WHEN_UPDATED
