SELECT CAST(RECIPIENTS.ORG_ID AS VARCHAR)+'|'
       +CAST(RECIPIENTS.RECIPIENT_ID AS VARCHAR)
                                                          AS "EXTERNAL_KEY",
       CAST(grp_r.ORG_ID AS VARCHAR)+'|'
       +CAST(GRP.GRP_ID AS VARCHAR)                       AS "GROUP_KEY",
       RECIPIENTS.SUB_TARGET_NAME                         AS "SUB_TARGET_NAME",
       TM.DESCRION                                        AS "DESCRIPTION",
       TM.USE_EMERG_DVC                                   AS "USE_DEFAULT_DEVICES",
       (SELECT
          CASE
            WHEN LEN(ESCALATIONS) > 100 THEN
              LEFT(LEFT(ESCALATIONS, 100),100-CHARINDEX(',',REVERSE(LEFT(ESCALATIONS, 100))))
            ELSE ESCALATIONS
          END
          FROM(
          (SELECT ISNULL(LEFT(ESCALATION, LEN(ESCALATION)-1),0)"ESCALATIONS"
             FROM
             (SELECT
               (SELECT CAST(ESCALATION AS VARCHAR)+','
                  FROM TM_ESCALATION
                 WHERE TM_ID = TM.TM_ID
                ORDER BY ESC_SEQ_NUM
                FOR XML PATH(''))"ESCALATION") "ESCALATION_TABLE"))"CLEAND_ESCALATIONS")
                                                          AS "ESCALATION_SCHEDULE",
       CASE
         WHEN TM.TM_TYPE = 'BASIC' OR TM.TM_TYPE = 'TIME_BASED_ROUND_ROBIN' THEN 'N'
         ELSE 'Y'
       END                                                AS "IS_ROUND_ROBIN",
       'N'                                                AS "ADD_24X7_COVERAGE",
       'Y'                                                AS "IS_EXTERNALLY_OWNED",
       'Y'                                                AS "ALARMPOINT_ACTION",
       NULL                                               AS "LAST_SYNC_DATE"
  FROM TM, RECIPIENTS, GRP, RECIPIENTS grp_r
 WHERE RECIPIENTS.RECIPIENT_ID = TM.TM_ID
   AND GRP.GRP_ID = TM.GRP_ID
   AND grp_r.RECIPIENT_ID = GRP.GRP_ID
   AND (TM.DELETED_ID = -1 or TM.DELETED_ID is null)
   AND (GRP.DELETED_ID = -1 or GRP.DELETED_ID is null)
   AND (RECIPIENTS.DELETED_ID = -1 or RECIPIENTS.DELETED_ID is null)
   -- REPLACE_WITH_ORG_FILTER
ORDER BY RECIPIENTS.WHEN_UPDATED, TM.WHEN_UPDATED
