SELECT CAST(RECIPIENTS.ORG_ID AS VARCHAR)+'|'
       +CAST(RECIPIENTS.RECIPIENT_ID AS VARCHAR)           AS "TEAM_KEY",
       CASE
         WHEN recipient_m.RECIPIENT_CAT = 'TEAM' THEN
           (SELECT CAST(recipient_m.ORG_ID AS VARCHAR)+'|'+CAST(TM_M.TM_ID AS VARCHAR)
              FROM TM tm_m
             WHERE tm_m.TM_ID = recipient_m.RECIPIENT_ID)
         ELSE CAST(recipient_m.ORG_ID AS VARCHAR)+'|'+CAST(recipient_m.RECIPIENT_ID AS VARCHAR)
       END                                                 AS "MEMBER_KEY",
       recipient_m.RECIPIENT_CAT                           AS "MEMBER_TYPE",
       CASE
         WHEN recipient_m.RECIPIENT_CAT = 'DEVICE' THEN
           (SELECT DVC.DVC_TYPE
              FROM DVC
             WHERE DVC.DVC_ID = recipient_m.RECIPIENT_ID)
         ELSE ''
       END                                                 AS "MEMBER_SUB_TYPE",
       CAST(TM_MBRSHIPS.MBR_SEQ_NUM AS VARCHAR(38))        AS "MEMBER_SEQUENCE_NUMBER",
       'Y'                                                 AS "IS_EXTERNALLY_OWNED",
       'Y'                                                 AS "ALARMPOINT_ACTION",
       NULL                                                AS "LAST_SYNC_DATE"
  FROM TM, RECIPIENTS, TM_MBRSHIPS, RECIPIENTS recipient_m
 WHERE RECIPIENTS.RECIPIENT_ID = TM.TM_ID
   AND TM.TM_ID = TM_MBRSHIPS.TM_ID
   AND recipient_m.RECIPIENT_ID = TM_MBRSHIPS.RECIPIENT_ID
   AND (recipient_m.DELETED_ID = -1 or recipient_m.DELETED_ID is null)
   AND (TM.DELETED_ID = -1 or TM.DELETED_ID is null)
   AND (RECIPIENTS.DELETED_ID = -1 or RECIPIENTS.DELETED_ID is NULL)
   AND NOT EXISTS (
     SELECT *
     FROM PERSONS_FUNC, ROLE
     WHERE ROLE.ROLE_ID = PERSONS_FUNC.FUNC_ID
         AND PERSONS_FUNC.PERSON_ID = TM_MBRSHIPS.RECIPIENT_ID
         AND ROLE.NAME IN ('Super Admin', 'Company Admin')
   )
   -- REPLACE_WITH_ORG_FILTER
ORDER by RECIPIENTS.WHEN_UPDATED, TM_MBRSHIPS.WHEN_UPDATED
