SELECT cast(p.ORG_ID as varchar)+'|'+
       cast(rpmt.TMP_RPMT_ID as varchar)          AS "EXTERNAL_KEY",
       CASE
         WHEN grp.RECIPIENT_ID is NULL THEN NULL
       ELSE
         cast(grp.ORG_ID as varchar)+'|'+
         cast(grp.RECIPIENT_ID as varchar)
       END                                        AS "REPLACEMENT_GROUP",
       cast(p.ORG_ID as varchar)+'|'+
       cast(p.RECIPIENT_ID as varchar)            AS "USER_TO_REPLACE",
       cast(r.ORG_ID as varchar)+'|'+
       cast(r.RECIPIENT_ID as varchar)            AS "REPLACEMENT_USER",
       CONVERT(VARCHAR, dr.START_DATE, 111)       AS "REPLACEMENT_START_DATE",
       LEFT(CONVERT(VARCHAR, dr.START_DATE, 8),5) AS "REPLACEMENT_START_TIME",
       CONVERT(VARCHAR, dr.END_DATE, 111)         AS "REPLACEMENT_END_DATE",
       LEFT(CONVERT(VARCHAR, dr.END_DATE, 8),5)   AS "REPLACEMENT_END_TIME",
       'Y'                                        AS "IS_EXTERNALLY_OWNED",
       'Y'                                        AS "ALARMPOINT_ACTION",
       NULL                                       AS "LAST_SYNC_DATE"
  FROM TMP_RPMT rpmt left outer join
         RECIPIENTS grp ON GRP_ID = grp.RECIPIENT_ID,
       DATE_RNG dr, recipients p, PERSONS per, recipients r
 WHERE rpmt.DATE_RNG_ID = dr.DATE_RNG_ID
   AND p.RECIPIENT_ID = rpmt.TMPER_ID
   AND r.RECIPIENT_ID = rpmt.RPMT_ID
   AND per.PERSON_ID = p.RECIPIENT_ID
   AND NOT EXISTS (
     SELECT *
     FROM PERSONS_FUNC, ROLE
     WHERE ROLE.ROLE_ID = PERSONS_FUNC.FUNC_ID
         AND (PERSONS_FUNC.PERSON_ID = rpmt.TMPER_ID OR PERSONS_FUNC.PERSON_ID = rpmt.RPMT_ID)
         AND ROLE.NAME IN ('Super Admin', 'Company Admin')
   )
   -- REPLACE_WITH_ORG_FILTER
ORDER BY rpmt.WHEN_CREATED
