SELECT CAST(RECIPIENTS.ORG_ID AS VARCHAR)+'|'
       +CAST(RECIPIENTS.RECIPIENT_ID AS VARCHAR)                   AS "EXTERNAL_KEY",
       CAST(SITES.org_id AS VARCHAR)+'|'
       +CAST(SITES.SITE_ID AS VARCHAR)                             AS "SITE_NAME",
       (SELECT LEFT(Main.roles, LEN(Main.roles)-1) "roles"
          FROM (SELECT (SELECT r1.NAME + ','
                          FROM PERSONS_FUNC st1, ROLE r1
                         WHERE st1.PERSON_ID=PERSONS.PERSON_ID
                           AND st1.FUNC_ID = r1.ROLE_ID
                        FOR XML PATH ('')) "roles") "Main")
                                                                   AS "ROLE_LIST",
       PERSONS.STATUS                                              AS "STATUS",
       PERSONS.LAST_NAME                                           AS "LAST_NAME",
       PERSONS.FIRST_NAME                                          AS "FIRST_NAME",
       LANGUAGES.NAME                                              AS "LANGUAGE_OVERRIDE",
       TZ.NAME                                                     AS "TIMEZONE_OVERRIDE",
       PERSONS.RECORDED_NAME                                       AS "RECORDED_NAME",
       WEB_CREDS.TYPE                                              AS "WEB_LOGIN_TYPE",
       WEB_CREDS.NAME                                              AS "WEB_LOGIN",
       ISNULL(WEB_CREDS.CRED,'')+'|'+ISNULL(WEB_CREDS.SALT,'')
                                                                   AS "WEB_PASSWORD",
       ''                                                          AS "LDAP_DOMAIN",
       PHONE_CREDS.NAME                                            AS "PHONE_LOGIN",
       ISNULL(PHONE_CREDS.CRED,'')+'|'+ISNULL(PHONE_CREDS.SALT,'')
                                                                   AS "PHONE_PASSWORD",
       RECIPIENTS.TARGET_NAME                                      AS "USER_ID",
       'Y'                                                         AS "IS_EXTERNALLY_OWNED",
       'Y'                                                         AS "ALARMPOINT_ACTION",
       NULL                                                        AS "LAST_SYNC_DATE",
       PERSONS.HAS_MOBILE_ACCESS                                   AS "HAS_MOBILE_ACCESS"
  FROM PERSONS
         LEFT OUTER JOIN PHONE_CREDS ON PERSONS.PERSON_ID = PHONE_CREDS.PHONE_CRED_ID
         LEFT OUTER JOIN WEB_CREDS ON PERSONS.PERSON_ID = WEB_CREDS.WEB_CRED_ID,
       RECIPIENTS, SITES, ORG_LANGUAGES,
       LANGUAGES, TZ, ORG_TZ
  WHERE PERSONS.SITE_ID = SITES.SITE_ID
    AND PERSONS.PERSON_ID = RECIPIENTS.RECIPIENT_ID
    AND PERSONS.ORG_LANGUAGE_ID = ORG_LANGUAGES.ORG_LANGUAGE_ID
    AND PERSONS.ORG_TZ_ID = ORG_TZ.ORG_TZ_ID
    AND (PERSONS.DELETED_ID = -1 or PERSONS.DELETED_ID is null)
    AND ORG_TZ.TZ_ID = TZ.TZ_ID
    AND ORG_LANGUAGES.LANGUAGE_ID = LANGUAGES.LANGUAGE_ID
    AND NOT EXISTS (
      SELECT *
      FROM PERSONS_FUNC, ROLE
      WHERE ROLE.ROLE_ID = PERSONS_FUNC.FUNC_ID
          AND PERSONS_FUNC.PERSON_ID = RECIPIENTS.RECIPIENT_ID
          AND ROLE.NAME IN ('Super Admin', 'Company Admin')
    )
    -- REPLACE_WITH_ORG_FILTER
ORDER by RECIPIENTS.WHEN_UPDATED
